Get followers of a flag in a project and environment
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/followers \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/followers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "/api/v2/projects/my-project/flags/my-flay/environments/my-environment/followers",
"type": "application/json"
}
},
"items": [
{
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
}
]
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}Get followers of a flag in a project and environment
Get a list of members following a flag in a project and environment
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
followers
Get followers of a flag in a project and environment
Authorizations
Path Parameters
The project key
The feature flag key
The environment key
Response
Flag followers response
The location and content type of related resources
Show child attributes
Show child attributes
Example:
{
"self": {
"href": "/api/v2/projects/my-project/flags/my-flay/environments/my-environment/followers",
"type": "application/json"
}
}
An array of members who are following this flag
Show child attributes
Show child attributes